#include <bits/stdc++.h>
using namespace std;
int main(){
cin.tie(0);
std::ios::sync_with_stdio(false);
long long n,a;
long long k=0;
cin>>n;
long long arr[n];
for(int i=0; i<n; i++){
    cin>>arr[i];
}
a = max_element(arr, arr + n) - arr;
if(n==2){
    cout<<arr[1]<<" "<<arr[0];
}else{
    if(arr[0]==arr[1] && arr[0]==arr[a]){
        a=max_element(arr+2, arr + n )- arr;
        for(int i=n-1; i>=0; i--){
    if(arr[a]==arr[i]){
        a=i;
        break;
    }
}
swap(arr[2],arr[a]);
for(int i=0; i<n; i++){
    cout<<arr[i]<<" ";
}
    }
    else if(a==0){

        for(int i=0; i<n; i++){
            if(arr[i]<arr[i+1]){
                k++;
            }
            }
            if(k==0){
            swap(arr[n-1],arr[n-2]);
                for (int i = 0; i < n; i++){
                    cout<< arr[i]<< " ";
                }
            }else{
                a = max_element(arr+1, arr + n) - arr;
                for(int i=n-1; i>=0; i--){
    if(arr[a]==arr[i]){
        a=i;
        break;
    }
}
        arr[1]+=arr[a];
        arr[a]=arr[1]-arr[a];
        arr[1]=arr[1]-arr[a];
        for (int i = 0; i < n; i++){
            cout<< arr[i]<< " ";
    }
            }
            }else{
            for(int i=n; i>=0; i--){
            if(arr[a]==arr[i]){
            a=i;
            break;
    }
}
        arr[0]+=arr[a];
        arr[a]=arr[0]-arr[a];
        arr[0]=arr[0]-arr[a];
        for (int i = 0; i < n; i++){
            cout<< arr[i]<< " ";
    }
}
}
return 0;
}